Loading...
Searching...
No Matches
seqan3::algorithm_result_generator_range< algorithm_executor_type >::algorithm_range_iterator Class Reference

The iterator of seqan3::detail::algorithm_result_generator_range. More...

`#include <seqan3/core/algorithm/algorithm_result_generator_range.hpp>`

Inheritance diagram for seqan3::algorithm_result_generator_range< algorithm_executor_type >::algorithm_range_iterator:
[legend]

## Public Types

Associated types
using | difference_type = std::ptrdiff_t
| Type for distances between iterators.
using | value_type = algorithm_result_type
| Value type of container elements.
using | reference = std::add_lvalue_reference_t<value_type>
| Use reference type defined by container.
using | pointer = std::add_pointer_t<value_type>
| Pointer type is pointer of container element type.
using | iterator_category = std::input_iterator_tag
| Sets iterator category as input iterator.

## Public Member Functions

Constructors, destructor and assignment
constexpr | algorithm_range_iterator () noexcept=default
| Defaulted.
constexpr | algorithm_range_iterator (algorithm_range_iterator const &) noexcept=default
| Defaulted.
constexpr | algorithm_range_iterator (algorithm_range_iterator &&) noexcept=default
| Defaulted.
constexpr algorithm_range_iterator & | operator= (algorithm_range_iterator const &) noexcept=default
| Defaulted.
constexpr algorithm_range_iterator & | operator= (algorithm_range_iterator &&) noexcept=default
| Defaulted.
| ~algorithm_range_iterator ()=default
| Defaulted.
constexpr | algorithm_range_iterator (algorithm_result_generator_range &range)
| Construct from alignment stream.
Access operators
reference | operator* () const noexcept
| Access the pointed-to element.
pointer | operator-> () const noexcept
| Returns a pointer to the current algorithm result.
Increment operators
algorithm_range_iterator & | operator++ ()
| Increments the iterator by one.
void | operator++ (int)
| Returns an iterator incremented by one.

## Friends

Comparison operators
constexpr bool | operator== (algorithm_range_iterator const &lhs, std::default_sentinel_t const &) noexcept
| Checks whether lhs is equal to the sentinel.
constexpr bool | operator== (std::default_sentinel_t const &lhs, algorithm_range_iterator const &rhs) noexcept
| Checks whether lhs is equal to rhs.
constexpr bool | operator!= (algorithm_range_iterator const &lhs, std::default_sentinel_t const &rhs) noexcept
| Checks whether *this is not equal to the sentinel.
constexpr bool | operator!= (std::default_sentinel_t const &lhs, algorithm_range_iterator const &rhs) noexcept
| Checks whether lhs is not equal to rhs.

## Detailed Description

template<typename algorithm_executor_type>
class seqan3::algorithm_result_generator_range< algorithm_executor_type >::algorithm_range_iterator

The iterator of seqan3::detail::algorithm_result_generator_range.

## Member Function Documentation

## operator*()

template<typename algorithm_executor_type>

reference seqan3::algorithm_result_generator_range< algorithm_executor_type >::algorithm_range_iterator::operator* | ( |  | ) | const

inline noexcept

Access the pointed-to element.

Returns
  A reference to the current element.

Returns the current algorithm result.

The documentation for this class was generated from the following file:

- algorithm_result_generator_range.hpp

Hide me